clang 10.0.0git

Public Attributes | List of all members
clang::CodeGen::TaskResultTy Struct Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CGOpenMPRuntime.h"`

Collaboration diagram for clang::CodeGen::TaskResultTy:
[legend]

## Public Attributes
llvm::Value * | NewTask = nullptr
llvm::Function * | TaskEntry = nullptr
llvm::Value * | NewTaskNewTaskTTy = nullptr
LValue | TDBase
const RecordDecl * | KmpTaskTQTyRD = nullptr
llvm::Value * | TaskDupFn = nullptr

## Detailed Description

Definition at line 779 of file CGOpenMPRuntime.h.

## Member Data Documentation

## ◆ KmpTaskTQTyRD

const RecordDecl* clang::CodeGen::TaskResultTy::KmpTaskTQTyRD = nullptr

Definition at line 784 of file CGOpenMPRuntime.h.

Referenced by clang::CodeGen::emitTaskInit().

## ◆ NewTask

llvm::Value* clang::CodeGen::TaskResultTy::NewTask = nullptr

Definition at line 780 of file CGOpenMPRuntime.h.

Referenced by clang::CodeGen::emitTaskInit().

## ◆ NewTaskNewTaskTTy

llvm::Value* clang::CodeGen::TaskResultTy::NewTaskNewTaskTTy = nullptr

Definition at line 782 of file CGOpenMPRuntime.h.

Referenced by clang::CodeGen::emitTaskInit().

## ◆ TaskDupFn

llvm::Value* clang::CodeGen::TaskResultTy::TaskDupFn = nullptr

Definition at line 785 of file CGOpenMPRuntime.h.

Referenced by clang::CodeGen::emitTaskInit().

## ◆ TaskEntry

llvm::Function* clang::CodeGen::TaskResultTy::TaskEntry = nullptr

Definition at line 781 of file CGOpenMPRuntime.h.

Referenced by clang::CodeGen::emitTaskInit().

## ◆ TDBase

LValue clang::CodeGen::TaskResultTy::TDBase

Definition at line 783 of file CGOpenMPRuntime.h.

Referenced by clang::CodeGen::emitTaskInit().

The documentation for this struct was generated from the following file:

- lib/CodeGen/CGOpenMPRuntime.h